%{?mingw_package_header}

%global api_version 1.0

Name:		mingw-gstreamer
Version:	1.24.4
Release:	%mkrel 1
Summary:	MinGW Windows Streaming-Media Framework Runtime
License:	LGPLv2+
Group:		Development/Other
URL:		https://gstreamer.freedesktop.org/
Source0:	https://gstreamer.freedesktop.org/src/gstreamer/gstreamer-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	gcc
BuildRequires:	meson

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-glib2
BuildRequires:	mingw32-libxml2

BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-binutils
BuildRequires:	mingw64-glib2
BuildRequires:	mingw64-libxml2

BuildRequires:	bison
BuildRequires:	flex


%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

# Win32
%package  -n mingw32-gstreamer
Summary:	MinGW Windows Streaming-Media Framework Runtime

%description -n mingw32-gstreamer
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

# Win64
%package  -n mingw64-gstreamer
Summary:	MinGW Windows Streaming-Media Framework Runtime
Provides:	mingw64-gstreamer-tools = %{version}-%{release}
Provides:	mingw64-gstreamer-static = %{version}-%{release}

%description -n mingw64-gstreamer
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gstreamer-%{version}


%build
%mingw_meson \
     -Dpackage-name='%{_vendor} MinGW GStreamer package' \
     -Dpackage-origin='http://www.%{_real_vendor}.org' \
     -Dtests=disabled \
     -Dexamples=disabled


%mingw_ninja


%install
%mingw_ninja_install

# Don't ship debug helpers
rm -rf %{buildroot}%{mingw32_datadir}/gstreamer-1.0/gdb
rm -rf %{buildroot}%{mingw64_datadir}/gstreamer-1.0/gdb
rm -rf %{buildroot}%{mingw32_datadir}/gdb
rm -rf %{buildroot}%{mingw64_datadir}/gdb
rmdir %{buildroot}%{mingw32_datadir}/gstreamer-1.0/
rmdir %{buildroot}%{mingw64_datadir}/gstreamer-1.0/

# Don't ship man pages
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

%mingw_find_lang gstreamer-%{api_version}


# Win32
%files -n mingw32-gstreamer -f mingw32-gstreamer-%{api_version}.lang
%license COPYING

%dir %{mingw32_includedir}/gstreamer-%{api_version}
%{mingw32_includedir}/gstreamer-%{api_version}/gst

%dir %{mingw32_libexecdir}/gstreamer-%{api_version}
%{mingw32_libexecdir}/gstreamer-%{api_version}/gst-completion-helper.exe
%{mingw32_libexecdir}/gstreamer-%{api_version}/gst-plugin-scanner.exe

%dir %{mingw32_libdir}/gstreamer-%{api_version}/
%{mingw32_libdir}/gstreamer-%{api_version}/*.dll
%{mingw32_libdir}/gstreamer-%{api_version}/*.dll.a
%{mingw32_libdir}/libgstbase-%{api_version}.dll.a
%{mingw32_libdir}/libgstcheck-%{api_version}.dll.a
%{mingw32_libdir}/libgstcontroller-%{api_version}.dll.a
%{mingw32_libdir}/libgstnet-%{api_version}.dll.a
%{mingw32_libdir}/libgstreamer-%{api_version}.dll.a

%{mingw32_libdir}/pkgconfig/gstreamer-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-base-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-check-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-controller-%{api_version}.pc
%{mingw32_libdir}/pkgconfig/gstreamer-net-%{api_version}.pc

%{mingw32_bindir}/gst-inspect-%{api_version}.exe
%{mingw32_bindir}/gst-launch-%{api_version}.exe
%{mingw32_bindir}/gst-stats-%{api_version}.exe
%{mingw32_bindir}/gst-typefind-%{api_version}.exe

%{mingw32_bindir}/libgstbase-%{api_version}-0.dll
%{mingw32_bindir}/libgstcheck-%{api_version}-0.dll
%{mingw32_bindir}/libgstcontroller-%{api_version}-0.dll
%{mingw32_bindir}/libgstnet-%{api_version}-0.dll
%{mingw32_bindir}/libgstreamer-%{api_version}-0.dll

%{mingw32_datadir}/aclocal/gst-element-check-%{api_version}.m4


# Win64
%files -n mingw64-gstreamer -f mingw64-gstreamer-%{api_version}.lang
%license COPYING

%dir %{mingw64_includedir}/gstreamer-%{api_version}
%{mingw64_includedir}/gstreamer-%{api_version}/gst

%dir %{mingw64_libexecdir}/gstreamer-%{api_version}
%{mingw64_libexecdir}/gstreamer-%{api_version}/gst-completion-helper.exe
%{mingw64_libexecdir}/gstreamer-%{api_version}/gst-plugin-scanner.exe

%dir %{mingw64_libdir}/gstreamer-%{api_version}/
%{mingw64_libdir}/gstreamer-%{api_version}/*.dll
%{mingw64_libdir}/gstreamer-%{api_version}/*.dll.a
%{mingw64_libdir}/libgstbase-%{api_version}.dll.a
%{mingw64_libdir}/libgstcheck-%{api_version}.dll.a
%{mingw64_libdir}/libgstcontroller-%{api_version}.dll.a
%{mingw64_libdir}/libgstnet-%{api_version}.dll.a
%{mingw64_libdir}/libgstreamer-%{api_version}.dll.a

%{mingw64_libdir}/pkgconfig/gstreamer-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-base-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-check-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-controller-%{api_version}.pc
%{mingw64_libdir}/pkgconfig/gstreamer-net-%{api_version}.pc

%{mingw64_bindir}/gst-inspect-%{api_version}.exe
%{mingw64_bindir}/gst-launch-%{api_version}.exe
%{mingw64_bindir}/gst-stats-%{api_version}.exe
%{mingw64_bindir}/gst-typefind-%{api_version}.exe

%{mingw64_bindir}/libgstbase-%{api_version}-0.dll
%{mingw64_bindir}/libgstcheck-%{api_version}-0.dll
%{mingw64_bindir}/libgstcontroller-%{api_version}-0.dll
%{mingw64_bindir}/libgstnet-%{api_version}-0.dll
%{mingw64_bindir}/libgstreamer-%{api_version}-0.dll

%{mingw64_datadir}/aclocal/gst-element-check-%{api_version}.m4


%changelog
* Fri Jun 07 2024 daviddavid <daviddavid> 1.24.4-1.mga10
+ Revision: 2070349
- new version: 1.24.4

* Wed Sep 27 2023 tv <tv> 1.22.6-1.mga10
+ Revision: 1991589
- Update to 1.22.6

* Tue Jan 24 2023 daviddavid <daviddavid> 1.22.0-1.mga9
+ Revision: 1935933
- new version: 1.22.0

* Fri Dec 30 2022 daviddavid <daviddavid> 1.20.5-1.mga9
+ Revision: 1928255
- new version: 1.20.5

* Tue Nov 15 2022 tv <tv> 1.20.4-1.mga9
+ Revision: 1907422
- Update to 1.20.4

* Fri Jul 22 2022 tv <tv> 1.20.3-1.mga9
+ Revision: 1870096
- Update to 1.20.3

* Thu Apr 07 2022 tv <tv> 1.20.0-1.mga9
+ Revision: 1847100
- Update to 2.20.0
- Drop mga6->7 obsoletes
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Apr 05 2021 daviddavid <daviddavid> 1.18.4-1.mga9
+ Revision: 1713728
- new version: 1.18.4

* Tue Dec 15 2020 daviddavid <daviddavid> 1.18.2-1.mga8
+ Revision: 1657693
- new version: 1.18.2

* Sat Sep 26 2020 tv <tv> 1.18.0-2.mga8
+ Revision: 1630523
- rebuild for new mingw stack
+ daviddavid <daviddavid>
- new version: 1.18.0
- switch to meson build system

* Fri Sep 11 2020 tv <tv> 1.16.2-2.mga8
+ Revision: 1624487
- Remove silly target prefix from binaries
- Don't ship debug helpers
- package bashcompletion
- modernize macro usage
- drop useless BR
- fix build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Dec 04 2019 ovitters <ovitters> 1.16.2-1.mga8
+ Revision: 1464180
- new version 1.16.2

* Mon Sep 23 2019 ovitters <ovitters> 1.16.1-1.mga8
+ Revision: 1445148
- new version 1.16.1

* Fri Apr 26 2019 daviddavid <daviddavid> 1.16.0-1.mga7
+ Revision: 1395492
- new version: 1.16.0

* Thu Oct 04 2018 ovitters <ovitters> 1.14.4-1.mga7
+ Revision: 1317442
- new version 1.14.4

* Thu Sep 20 2018 umeabot <umeabot> 1.14.3-2.mga7
+ Revision: 1279727
- Mageia 7 Mass Rebuild

* Mon Sep 17 2018 ovitters <ovitters> 1.14.3-1.mga7
+ Revision: 1259413
- new version 1.14.3

* Fri Jul 20 2018 ovitters <ovitters> 1.14.2-1.mga7
+ Revision: 1244437
- new version 1.14.2

* Tue Jul 17 2018 daviddavid <daviddavid> 1.14.1-1.mga7
+ Revision: 1243922
- new version: 1.14.1

* Thu Mar 29 2018 ovitters <ovitters> 1.12.5-1.mga7
+ Revision: 1213254
- new version 1.12.5

* Wed Jan 10 2018 mokraemer <mokraemer> 1.12.4-1.mga7
+ Revision: 1191978
- updated mingw gstreamer to 1.12

* Thu Feb 04 2016 umeabot <umeabot> 0.10.36-8.mga6
+ Revision: 934199
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.36-7.mga5
+ Revision: 745539
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.36-6.mga5
+ Revision: 682446
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 0.10.36-5.mga4
+ Revision: 547353
- Fix build with new bison
- imported package mingw-gstreamer
+ wally <wally>
- replace Fedora pkg info with Mageia one


* Sat Sep  7 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.10.36-5
- Backported upstream commits which are needed to avoid FTBFS when winpthreads is available

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.36-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Paweł Forysiuk <tuxator@o2.pl> - 0.10.36-1
- Update to upstream version 0.10.36

* Sun Mar 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.10.35-6
- Added win64 support (contributed by Marc-André Lureau)
- Use mingw macros without leading underscore

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 0.10.35-5
- Remove all .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.10.35-4
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 16 2011 Paweł Forysiuk <tuxator@o2.pl> - 0.10.35-2
- Remove no longer needed rpm macros from spec file

* Sat Jul 16 2011 Paweł Forysiuk <tuxator@o2.pl> - 0.10.35-1
- Update to new upstream version 0.10.35

* Fri May 13 2011 Paweł Forysiuk <tuxator@o2.pl> - 0.10.32-1
- Initial packaging, basing on OpenSUSE's mingw32-gstreamer
